Package com.google.android.exoplayer2.util

## Class FileTypes

- java.lang.Object
- - com.google.android.exoplayer2.util.FileTypes

-     public final class FileTypes
      extends Object

  Defines common file type constants and helper methods.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `FileTypes.Type` | File types.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `AC3` | File type for the AC-3 and E-AC-3 formats.
    `static int` | `AC4` | File type for the AC-4 format.
    `static int` | `ADTS` | File type for the ADTS format.
    `static int` | `AMR` | File type for the AMR format.
    `static int` | `AVI` | File type for the AVI format.
    `static int` | `FLAC` | File type for the FLAC format.
    `static int` | `FLV` | File type for the FLV format.
    `static int` | `JPEG` | File type for the JPEG format.
    `static int` | `MATROSKA` | File type for the Matroska and WebM formats.
    `static int` | `MIDI` | File type for the MIDI format.
    `static int` | `MP3` | File type for the MP3 format.
    `static int` | `MP4` | File type for the MP4 format.
    `static int` | `OGG` | File type for the Ogg format.
    `static int` | `PS` | File type for the MPEG-PS format.
    `static int` | `TS` | File type for the MPEG-TS format.
    `static int` | `UNKNOWN` | Unknown file type.
    `static int` | `WAV` | File type for the WAV format.
    `static int` | `WEBVTT` | File type for the WebVTT format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static @com.google.android.exoplayer2.util.FileTypes.Type int` | `inferFileTypeFromMimeType​(String mimeType)` | Returns the `FileTypes.Type` corresponding to the MIME type provided.
    `static @com.google.android.exoplayer2.util.FileTypes.Type int` | `inferFileTypeFromResponseHeaders​(Map<String,​List<String>> responseHeaders)` | Returns the `FileTypes.Type` corresponding to the response headers provided.
    `static @com.google.android.exoplayer2.util.FileTypes.Type int` | `inferFileTypeFromUri​(Uri uri)` | Returns the `FileTypes.Type` corresponding to the `Uri` provided.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      Unknown file type.
      See Also:
        Constant Field Values

    - #### AC3

          public static final int AC3

      File type for the AC-3 and E-AC-3 formats.
      See Also:
        Constant Field Values

    - #### AC4

          public static final int AC4

      File type for the AC-4 format.
      See Also:
        Constant Field Values

    - #### ADTS

          public static final int ADTS

      File type for the ADTS format.
      See Also:
        Constant Field Values

    - #### AMR

          public static final int AMR

      File type for the AMR format.
      See Also:
        Constant Field Values

    - #### FLAC

          public static final int FLAC

      File type for the FLAC format.
      See Also:
        Constant Field Values

    - #### FLV

          public static final int FLV

      File type for the FLV format.
      See Also:
        Constant Field Values

    - #### MATROSKA

          public static final int MATROSKA

      File type for the Matroska and WebM formats.
      See Also:
        Constant Field Values

    - #### MP3

          public static final int MP3

      File type for the MP3 format.
      See Also:
        Constant Field Values

    - #### MP4

          public static final int MP4

      File type for the MP4 format.
      See Also:
        Constant Field Values

    - #### OGG

          public static final int OGG

      File type for the Ogg format.
      See Also:
        Constant Field Values

    - #### PS

          public static final int PS

      File type for the MPEG-PS format.
      See Also:
        Constant Field Values

    - #### TS

          public static final int TS

      File type for the MPEG-TS format.
      See Also:
        Constant Field Values

    - #### WAV

          public static final int WAV

      File type for the WAV format.
      See Also:
        Constant Field Values

    - #### WEBVTT

          public static final int WEBVTT

      File type for the WebVTT format.
      See Also:
        Constant Field Values

    - #### JPEG

          public static final int JPEG

      File type for the JPEG format.
      See Also:
        Constant Field Values

    - #### MIDI

          public static final int MIDI

      File type for the MIDI format.
      See Also:
        Constant Field Values

    - #### AVI

          public static final int AVI

      File type for the AVI format.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### inferFileTypeFromResponseHeaders

          public static @com.google.android.exoplayer2.util.FileTypes.Type int inferFileTypeFromResponseHeaders​(Map<String,​List<String>> responseHeaders)

      Returns the `FileTypes.Type` corresponding to the response headers provided.

    - #### inferFileTypeFromMimeType

          public static @com.google.android.exoplayer2.util.FileTypes.Type int inferFileTypeFromMimeType​(@Nullable
                                                                                                         String mimeType)

      Returns the `FileTypes.Type` corresponding to the MIME type provided.

      Returns `UNKNOWN` if the mime type is `null`.

    - #### inferFileTypeFromUri

          public static @com.google.android.exoplayer2.util.FileTypes.Type int inferFileTypeFromUri​(Uri uri)

      Returns the `FileTypes.Type` corresponding to the `Uri` provided.